// PrimeNumberDlg.h : header file
//

#pragma once

#include <list>

// CPrimeNumberDlg dialog
class CPrimeNumberDlg : public CDialog
{
// Construction
public:
	CPrimeNumberDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PRIMENUMBER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();

	DECLARE_MESSAGE_MAP()

private:

	BOOL Easy(long n);
	long FindEasy(long n);

	int InitPrimes(int nMax);
	BOOL IsPrime(int nVal);

	std::list<int> m_lstPrimes;
	int m_nMax;
};
